#
# spec file for package antivir (Version 2.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         antivir
%define DISTRIBUTABLE 1
Requires:     gpg
PreReq:       /bin/mkdir /bin/cat %insserv_prereq %fillup_prereq coreutils modutils grep ps
License:      Restricted Shareware
Group:        Productivity/Security
Conflicts:    avmailgate
Autoreqprov:  on
%define       dazuko_version 2.0.6
Version:      2.1.0
Release:      20.4
Summary:      Virus scanner
URL:          http://www.antivir.de
Source0:      http://www.hbedv.com/files/antivir/release/avlxsrv.tgz
%if %DISTRIBUTABLE
#
# read antivir-eval-suse.txt file about:
#
Source1:      antivir-eval-suse.key
Source2:      antivir-eval-suse.txt
NoSource:     1
NoSource:     2
%endif
Source3:      antivir.README.SuSE
Source4:      antivir.sysconfig
Source5:      avguard.rc-script
Source6:      Makefile.dazuko
Source7:      http://www.dazuko.org/files/dazuko-%{dazuko_version}.tar.gz
Patch0:       %{name}-server-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86

%description
This is the AntiVir virus scanner software package of H+BEDV
Datentechnik GmbH, Germany. The package ships with an evaluation
license only. Please register your copy at http://www.hbedv.com/ (a
private, non-commercial license is free of charge)



Authors:
--------
    Martin Ritter <mritter@antivir.de>

%package -n km_antivir
Summary:      Kernel Module Source for Dazuko+AvGuard (part of H+BEDV AntiVir)
Group:        Development/Sources

%description -n km_antivir
The km_antivir package contains the sources for building the Dazuko
kernel module for your kernel configured in /usr/src/linux. Build and
install it by make -f Makefile.module; make -f Makefile.module install
in /usr/src/kernel-modules/dazuko/.



Authors:
--------
    H+BEDV <linux_support@antivir.de>

%prep
%setup -n %{name}-server-%{version}
%patch0 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
# create directories
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/AntiVir
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
##
## install AntiVir 
##
install -m 755 bin/antivir $RPM_BUILD_ROOT/usr/lib/AntiVir/
install -m 644 vdf/antivir.vdf $RPM_BUILD_ROOT/usr/lib/AntiVir/
ln -s ../lib/AntiVir/antivir $RPM_BUILD_ROOT/usr/bin/antivir
install -m 644 conf/antivir.conf $RPM_BUILD_ROOT/etc/
install -m 644 sh/configantivir $RPM_BUILD_ROOT/usr/lib/AntiVir/
# copy *.asc signatures to pgp/
cp -a bin/*.asc pgp/
##
## install Dazuko kernel module sources
##
rm -rf $RPM_BUILD_ROOT/usr/src/kernel-modules/dazuko
mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/
pushd src
#tar xvfz dazuko-%{dazuko_version}.tar.gz
tar xvzf ${RPM_SOURCE_DIR}/dazuko-%{dazuko_version}.tar.gz
chmod 644 dazuko-%{dazuko_version}/*.[ch]
cp -a dazuko-%{dazuko_version} \
      $RPM_BUILD_ROOT/usr/src/kernel-modules/dazuko
popd
cp -a $RPM_SOURCE_DIR/Makefile.dazuko \
      $RPM_BUILD_ROOT/usr/src/kernel-modules/dazuko/Makefile
##
## install AvGuard stuff
##
install -m 644 conf/avguard.conf $RPM_BUILD_ROOT/etc/
ln -sf         configantivir     $RPM_BUILD_ROOT/usr/lib/AntiVir/configavguard
install -m 754 $RPM_SOURCE_DIR/avguard.rc-script \
               $RPM_BUILD_ROOT/etc/init.d/avguard
ln -sf         /etc/init.d/avguard \
               $RPM_BUILD_ROOT/usr/sbin/rcavguard
install -m644  $RPM_SOURCE_DIR/antivir.sysconfig \
               $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.antivir
##
## copy readme files
##
install -m644  $RPM_SOURCE_DIR/antivir.README.SuSE README.SuSE
%if %DISTRIBUTABLE
install -m644  $RPM_SOURCE_DIR/antivir-eval-suse.txt .
##
## install the eval key for SuSE Linux, provided by H+BEDV
##
install -m 644 $RPM_SOURCE_DIR/antivir-eval-suse.key \
               $RPM_BUILD_ROOT/usr/lib/AntiVir/hbedv.key
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %DISTRIBUTABLE
mkdir -p var/adm/notify/messages
cp %{_defaultdocdir}/%{name}/antivir-eval-suse.txt \
   var/adm/notify/messages/%{name}
%endif
%{fillup_and_insserv -s avguard START_AVGUARD}

%preun
%if %suse_version > 820
%{stop_on_removal avguard}
%endif

%postun
%if %suse_version > 820
%{restart_on_update avguard}
%endif
%insserv_cleanup

%files
%defattr(-,root,root)
%config /etc/init.d/avguard
%config(noreplace) /etc/antivir.conf
%config(noreplace) /etc/avguard.conf
%doc CHANGES LICENSE* README* src/HOWTO-Dazuko
%doc pgp legal avserver_de.pdf
%dir /usr/lib/AntiVir
/usr/lib/AntiVir/antivir
/usr/lib/AntiVir/antivir.vdf
/usr/lib/AntiVir/configantivir
/usr/lib/AntiVir/configavguard
/usr/bin/antivir
/usr/sbin/rcavguard
/var/adm/fillup-templates/sysconfig.antivir
%if %DISTRIBUTABLE
%doc antivir-eval-suse.txt
%config(noreplace) /usr/lib/AntiVir/hbedv.key
%endif

%files -n km_antivir
%defattr(-,root,root)
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/dazuko

%changelog -n antivir
* Wed Mar 30 2005 - mt@suse.de
- Bug #74472: updated to dazuko-2.0.6 that is able to detect
  LSM interface differences and supports also the compilation
  against patched kernels exporting the __d_path() function.
  Added both detections directly to Makefile.dazuko.
* Wed Feb 09 2005 - mt@suse.de
- Bug #65269: updated to dazuko-2.0.4 fixing the
  problems with capabilities usage (LSM stacking)
- fixed avguard init script (failing stop, license)
* Tue Mar 30 2004 - mt@suse.de
- updated to antivir-server-2.1.0 rereleased on 17.02.2004
- Bug #35110: added workarround description about security
  framework stacking to README.SuSE ("capability=0 selinux=0")
- fixed install, module, module_add targets in Makefile.dazuko
- added a short GPG key import description (update self verify)
- new antivir evaluation key valid up to 31.08.2004.
* Thu Feb 26 2004 - mt@suse.de
- updated to antivir-server-2.1.0 and dazuko-2.0.1-pre1
  known bugs #35110: dazuko security framework stacking problem
- added DISTRIBUTABLE flag (antivir-eval-suse.key shipping on/off)
* Thu Aug 28 2003 - mt@suse.de
- added stop_on_removal and restart_on_update macros
- changed GnuPGBinary to point to /usr/bin/gpg
- added requires gpg -- may be used while antivir --update
- updated PreReq to match new package names
* Thu Aug 28 2003 - mt@suse.de
- new antivir evaluation key
- updated yast2 meta data
* Wed Aug 27 2003 - mt@suse.de
- updated to antivir 2.0.8 (using antivir-bin.tar.gz with
  newer 2.0.8-6 binaries, because of possible glibc problems)
* Thu Apr 17 2003 - mt@suse.de
- updated to antivir 2.0.7
- added avguard init script installation
* Thu Feb 20 2003 - link@suse.de
- fixed the Makefile for the dazuko kernel module (#23651)
* Tue Feb 11 2003 - link@suse.de
- re-submitted 2.0.6, which now ships with Dazuko 1.1.2
* Fri Feb 07 2003 - link@suse.de
- updated notification msg to root
- antivir-fc will not be installed. It's statically linked
  and only used for avguard, which isn't shipped (nevertheless,
  if user runs "antivir --update" it will be downloaded
  automatically)
* Fri Feb 07 2003 - link@suse.de
- updated to 2.0.6
- added new eval license provided by H+BEDV
- updated README.SuSE
* Tue Aug 27 2002 - ro@suse.de
- removed insserv-lines completely from specfile
  (only commenting them out doesn't really help, rpm will still
  expand the macro and only comment the first line out)
* Sat Aug 24 2002 - ro@suse.de
- fixed filelist (/etc/init.d/avguard was still there)
* Thu Aug 22 2002 - link@suse.de
- added new key file (which displays license information in english
  not in german as the old one)
- due to problems AvGuard has been removed
- updated README.SuSE
* Wed Aug 21 2002 - link@suse.de
- added a new eval license key (expire day: 31.03.2003)
- updated notification msg to root
* Thu Aug 15 2002 - link@suse.de
- some fixes in init script
* Tue Aug 06 2002 - link@suse.de
- created sub-package km_antivir containing the Dazuko
  kernel module sources
- install the on-access virus scanning facility AvGuard, too
- updated README.SuSE
* Mon Aug 05 2002 - link@suse.de
- install the configantivir script
- updated README.SuSE
* Fri Aug 02 2002 - link@suse.de
- updated to the new AntiVir 2.x series (2.0.3)
- updated README.SuSE
* Fri Jul 05 2002 - ro@suse.de
- replace i386 by %%ix86
* Thu Mar 14 2002 - pmladek@suse.cz
- better fixed permissions for documentation, %%attr set bad
  permisssions for doc directory
* Tue Mar 12 2002 - pmladek@suse.cz
- fixed permissions for documentation
* Mon Mar 04 2002 - link@suse.de
- spec-file: updated notification message as evaluation license
  will expire after 7/31/2002
* Tue Feb 19 2002 - link@suse.de
- added README.SuSE
- added the evaluation license key for SuSE Linux 8.0
* Fri Feb 15 2002 - link@suse.de
- updated to version 6.12.00.00
* Thu Dec 13 2001 - rvasice@suse.cz
- update to version 6.11.00.00
* Fri Oct 26 2001 - dan@suse.cz
- update to version 6.10.00.02
* Mon Aug 20 2001 - cihlar@suse.cz
- update to version 6.9.0.0
* Thu Apr 05 2001 - ro@suse.de
- fixed rpm group to Utilities/Security
* Thu Apr 05 2001 - pblaha@suse.cz
- update on new version 6.6.0.0
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Thu Apr 13 2000 - smid@suse.cz
- license added to documentation
* Tue Feb 29 2000 - freitag@suse.de
- update to version 6.0.0.2 for SuSE Linux 6.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - fehr@suse.de
- new version 5.18.3.4
* Mon Mar 29 1999 - rolf@suse.de
- new version 5.18.0.0
* Mon Nov 16 1998 - rolf@suse.de
- new version 5.15.0.1
* Wed Jul 08 1998 - rolf@suse.de
- initial version
